nl.topicus.jdbc

## Class AbstractCloudSpannerFetcher

- java.lang.Object
- - nl.topicus.jdbc.metadata.AbstractCloudSpannerWrapper
  - - nl.topicus.jdbc.AbstractCloudSpannerFetcher

All Implemented Interfaces:
  Wrapper

Direct Known Subclasses:
  CloudSpannerResultSet, CloudSpannerStatement

    public abstract class AbstractCloudSpannerFetcher
    extends AbstractCloudSpannerWrapper

### Constructor Summary

Constructors
Constructor and Description
`AbstractCloudSpannerFetcher()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFetchDirection()`
`int` `getFetchSize()`
`void` `setFetchDirection(int direction)`
`void` `setFetchSize(int rows)`

### Methods inherited from class nl.topicus.jdbc.metadata.AbstractCloudSpannerWrapper

`extractColumnType, getClassName, getClassName, getGoogleTypeName, isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCloudSpannerFetcher

    public AbstractCloudSpannerFetcher()

### Method Detail

#### setFetchDirection

    public void setFetchDirection(int direction)
                           throws SQLException

Parameters:
  `direction` - The fetch direction to use. Only `ResultSet.FETCH_FORWARD` is supported.
Throws:
  `SQLException` - Thrown if any other fetch direction than `ResultSet.FETCH_FORWARD` is supplied

#### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

Returns:
  Always returns `ResultSet.FETCH_FORWARD`
Throws:
  `SQLException` - Cannot be thrown by this method, but is added to the method signature in order to comply with the interfaces that will be implemented by this abstract class' concrete subclasses

#### setFetchSize

    public void setFetchSize(int rows)
                      throws SQLException

Parameters:
  `rows` - The number of rows to fetch
Throws:
  `SQLException` - Thrown if `rows<1`

#### getFetchSize

    public int getFetchSize()
                     throws SQLException

Returns:
  The number of rows to fetch
Throws:
  `SQLException` - Cannot be thrown by this method, but is added to the method signature in order to comply with the interfaces that will be implemented by this abstract class' concrete subclasses